cURL
curl -X PUT "https://app.cotool.ai/api/detections/:id/alert-routing" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"inheritOrgDefault":true,"responseAgentId":"string"}'import requests
url = "https://app.cotool.ai/api/detections/{id}/alert-routing"
payload = {
"inheritOrgDefault": True,
"responseAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
inheritOrgDefault: true,
responseAgentId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://app.cotool.ai/api/detections/{id}/alert-routing', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.put("https://app.cotool.ai/api/detections/{id}/alert-routing")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"inheritOrgDefault\": true,\n \"responseAgentId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
.asString();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.cotool.ai/api/detections/{id}/alert-routing"
payload := strings.NewReader("{\n \"inheritOrgDefault\": true,\n \"responseAgentId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"override": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"detectionAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"responseAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"responseAgentName": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
},
"effective": {
"detectionAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"responseAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"responseAgentName": "<string>",
"inheritedDefaultResponseAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"inheritedDefaultResponseAgentName": "<string>"
},
"defaultSettings": {
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"defaultResponseAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"defaultResponseAgentName": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
},
"responseAgents": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
]
}{
"error": "<string>",
"issues": [
{}
]
}{
"error": "<string>"
}{
"error": "<string>",
"missingPerms": [
"<string>"
]
}{
"error": "<string>"
}Alerts
Update detection alert routing
Set or clear a per-detection alert routing override.
PUT
/
api
/
detections
/
{id}
/
alert-routing
cURL
curl -X PUT "https://app.cotool.ai/api/detections/:id/alert-routing" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"inheritOrgDefault":true,"responseAgentId":"string"}'import requests
url = "https://app.cotool.ai/api/detections/{id}/alert-routing"
payload = {
"inheritOrgDefault": True,
"responseAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
inheritOrgDefault: true,
responseAgentId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://app.cotool.ai/api/detections/{id}/alert-routing', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.put("https://app.cotool.ai/api/detections/{id}/alert-routing")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"inheritOrgDefault\": true,\n \"responseAgentId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
.asString();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.cotool.ai/api/detections/{id}/alert-routing"
payload := strings.NewReader("{\n \"inheritOrgDefault\": true,\n \"responseAgentId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"override": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"detectionAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"responseAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"responseAgentName": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
},
"effective": {
"detectionAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"responseAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"responseAgentName": "<string>",
"inheritedDefaultResponseAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"inheritedDefaultResponseAgentName": "<string>"
},
"defaultSettings": {
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"defaultResponseAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"defaultResponseAgentName": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
},
"responseAgents": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
]
}{
"error": "<string>",
"issues": [
{}
]
}{
"error": "<string>"
}{
"error": "<string>",
"missingPerms": [
"<string>"
]
}{
"error": "<string>"
}Authorizations
API Key authentication for programmatic access. Include your API key in the Authorization header as: Bearer your_api_key_here
Path Parameters
Detection agent id
Body
application/json
Was this page helpful?
⌘I